<%@ page import="com.businessobjects.sdk.plugin.desktop.infoview.IInfoView,
                 com.crystaldecisions.ePortfolio.framework.common.CEClientConstants,
                 com.crystaldecisions.ePortfolio.framework.common.CrystalIdentity,
                 com.crystaldecisions.webapp.CEConstants,
                 com.crystaldecisions.webapp.util.html.Encoder,
                 com.crystaldecisions.ePortfolio.appconfig.IDesktopPluginConfig,
                 com.crystaldecisions.sdk.ceTaglib.plugin.PluginConfigurationWrapper,
                 java.util.Locale,
                 com.bo.aa.util.SecurityToken,
                 com.crystaldecisions.ePortfolio.framework.common.License,
                 com.crystaldecisions.ePortfolio.framework.common.AFHelper,
                 com.crystaldecisions.sdk.occa.infostore.IInfoObject,
                 com.crystaldecisions.sdk.occa.infostore.IInfoObjects,
		 com.crystaldecisions.sdk.occa.infostore.IInfoStore,
		 com.crystaldecisions.sdk.plugin.desktop.user.IUserBase,
                 com.crystaldecisions.ePortfolio.appconfig.IDesktopPluginConfig,
		 com.crystaldecisions.ePortfolio.framework.common.PreferenceConstants,
                 com.crystaldecisions.ePortfolio.framework.common.CrystalIdentity,
                 com.bo.aa.util.jsp.Utils,
                 com.crystaldecisions.ePortfolio.framework.common.WebUtils,
                 com.businessobjects.common.helpers.CorporateDashboardHelper"%>

<%@ page language="java" contentType="text/html;charset=utf-8" errorPage="../scripts/tools/err_page.jsp" %>
<%@ taglib uri='/WEB-INF/fmt.tld' prefix='fmt' %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri='/WEB-INF/c.tld' prefix='c' %>
<%@ taglib uri='/WEB-INF/c-rt.tld' prefix='c_rt' %>

<%@ include file="/jsp/aa-inc-bean.jsp" %>
<%@ include file="ce/cestartpage.jsp" %>

<%
// File Location: D:\Program Files\Business Objects\Tomcat\webapps\businessobjects\enterprise115\desktoplaunch\jsp
%>

<jsp:useBean id="CE_Session" type="com.crystaldecisions.ePortfolio.framework.common.CrystalIdentity" scope="session"/>

<jsp:useBean id="userSettings" class="com.crystaldecisions.ePortfolio.framework.common.UserSettings" scope="request">
	<% userSettings.init(request, CE_Session); %>
</jsp:useBean>

<c:set var="afBundle" value="resources"/>
<fmt:setLocale value="${userSettings.locale}"/>
<fmt:setBundle var="afbundle" basename="resource.AppFoundationMsg"/>
<fmt:setBundle var="infoviewbundle" basename="com.crystaldecisions.ePortfolio.ApplicationResources"/>

<HTML>
<HEAD>
<TITLE></TITLE>

<script language="javascript" src="../InfoView/dhtmllib/dom.js"></script>
<script language="javascript" src="../InfoView/dhtmllib/palette.js"></script>
<script language="javascript" src="../InfoView/dhtmllib/menu.js"></script>
<script language="javascript" src="../InfoView/utils/utils.js"></script>
<script language="javascript" src="../InfoView/utils/help.js"></script>
<script language="javascript" src="../scripting/aa-linkbar.js"></script>
<script language="javascript">
// must be initialized in the header on their own
//PS: ADAPT00439176  if its chinese we need the full locale not just the language
<%
String jsLocale = "";
if(userSettings.getLocale().getLanguage().equals("zh"))
{
	jsLocale = userSettings.getLocale().toString();
}
else
{
	jsLocale = userSettings.getLocale().getLanguage();
}
%>

initDom("../InfoView/dhtmllib/images/skin_standard/", "<%= jsLocale %>");
styleSheet();
</script>
<script language="javascript">

function applyAppSettings() {}
function applyRights() {}
function setInitialView() {}
<%
    //title of this object.  It's used only when a user's viewing a dashboard.
    //if title is null or empty, title bar won't be displayed.
    String titleTemp = null;
    String type = null;
    String linkType = request.getParameter("linkType");
    String ctxt = request.getParameter("ctxt");
    String topDashboardUrl = null;
    try {
        // "&& ctxt != null && (!ctxt.equals("aa-addtomy"))" added to fix ADAPT00442362
        if (linkType != null && linkType.equals("corp") && ctxt != null && (!ctxt.equals("aa-addtomy"))) {

            //corporate dashboard
            String cuid = request.getParameter("url");
            ICEInfoStoreHelper helper = new CEInfoStoreHelper(webiSession);
            // Find CUID of Root Dashboard
            String rootDashboardCUID = helper.getRootDashboardCuid(cuid);
            cuid = rootDashboardCUID;
            titleTemp = helper.getObjectName(cuid);
            topDashboardUrl = "navNames=" + CorporateDashboardHelper.encode(titleTemp, false);
            type = "corporate";
        } else if (ctxt != null && ctxt.equals("aa-myanalytics")) {
            //personal dashboard
            //do this only when the dashboard exists in CMS.
            CrystalIdentity identity = webiSession.getCEIdentity();
            IInfoObject topDashboard = AFHelper.findBasePersonalDashboard(identity.getInfoStore(), identity.getFavFolderId());
            if (topDashboard == null) {
                titleTemp = "";
            } else {
                // This is a bit complex.
                // fix ADAPT436387
                titleTemp =  
                     dbServer.getDashboardManager().GetTransformResult(pageContext.getServletContext(),webiSession,
                          "mymenu.xml", "jsp-mymenu-title.xsl",
                          true, false );
                titleTemp = CorporateDashboardHelper.encode(titleTemp, false);
            }
            topDashboardUrl = "navPos=0,-1,0&url=my-page0&ctxt=aa-myanalytics&menu=mymenu&linkType=mypage";
            type = "personal";
        }
    } catch(CEException e) {
        //dashboard could not be found.  just ignore.
    }
%>
<c:out value="${applyAppSettings}" escapeXml="false"/>
<c:out value="${applyRights}" escapeXml="false"/>
<c:out value="${setInitialView}" escapeXml="false"/>
<c_rt:set var='title' value='<%= titleTemp %>'/>
<c_rt:set var='type' value='<%= type %>'/>
<c_rt:set var='queryStr' value='<%= Utils.getNotNullParameters(request) %>'/>

<c:choose>
    <c:when test="${not empty title}">
	    <c_rt:set var='title' value='<%= CorporateDashboardHelper.encode((String)pageContext.findAttribute("title"), false) %>'/>
        <c:url var="redirectUrl" value="dashboardTop.jsp${queryStr}">
            <c:param name="title" value="${title}"/>
            <c:param name="type" value="${type}"/>
        </c:url>
    </c:when>
    <c:otherwise>
	    <c:url var="redirectUrl" value="appsHome.jsp${queryStr}"/>
    </c:otherwise>
</c:choose>
// Header global variables - initial view
var showFolders = true;
setInitialView();

// Global variables - app settings
var showPreferences = true;
applyAppSettings();

// Global variables - rights
var createCategoriesAllowed = true;
var createFoldersAllowed = true;

// initialize help page
initHelpSystem( "<%=request.getContextPath()%>/help/<%= userSettings.getLocale().getLanguage() %>" );

// Add a widget to the toolbar and the array of items (used for initialization).
function ToolbarCtrl_add (item)
{
	this.toolbar.add (item);		// Add widget to PaletteWidget
	this.itemsArray.push (item);	// Add widget to my array
	var ndx = this.itemsArray.length - 1;
	this.idMap[this.itemsArray[ndx].id] = ndx;	// Add map entry pointer back to array item.
	return item;
}

// Constructor for ToolbarCtrl, which faciliates creation via add method
function ToolbarCtrl (theToolbar, theItemsArray, theIdMap)
{
	this.toolbar = theToolbar;
	this.itemsArray = theItemsArray;
	this.idMap = theIdMap;
	this.add = ToolbarCtrl_add;
}


// TOOLBAR: Creation
var toolbarContainer = newPaletteContainerWidget("toolbarContainer",null,0);	// Required
var toolbar = newPaletteWidget("toolbar");
toolbarContainer.add (toolbar);
var toolbarItems = new Array();
var toolbarIdMap = new Object();
var toolbarCtrl = new ToolbarCtrl (toolbar, toolbarItems, toolbarIdMap);

<fmt:message var="errServer" key='error.unexpected.servers.dashboard.down' bundle="${afbundle}"/>
<%
	SecurityToken securityToken = null;
	try
	{
	    String sessID = webiSession.getSessionID();
	    if (sessID == null)
	    {
	    	CESession ceSess = (CESession)webiSession;
	    	webiSession.constructSessionID(ceSess.getCEIdentity().getLogonToken());
	    }
	    securityToken = dbServer.getSecurityToken(webiSession);
	}
	catch(AAException aae)
	{
		throw aae; 
	}
	catch(Exception e)
	{
		// this failed from openlinkparam creation.
		throw new AAException(Encoder.encodeJS((String)pageContext.findAttribute("errServer")));
	}
%>

<% String context = request.getContextPath(); %>

<fmt:message var="ttHome" key='main.menu.AF.InfoView.tooltip' bundle="${afbundle}"/>
toolbarCtrl.add (newIconWidget("btnHome",
	"<%= context + schema.getUrl(application, "img.toolbar.home") %>", onBtnHomeClick,
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttHome")) %>',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttHome")) %>', 16,16,3,3,25,3));

<% boolean hasDMLicense = License.getInstance().hasLicense(webiSession.getEnterpriseSession(), License.DM_LICENSE); %>
<c_rt:if test="<%= hasDMLicense && securityToken.isSecCmdEnabled(IDSecCmd.AF.ACCESSAPPFOUNDATION) %>">
<fmt:message var="ttAF" key="main.menu.AF.tooltip" bundle="${afbundle}"/>
toolbarCtrl.add(newIconWidget("btnAF",
    "<%= context + schema.getUrl(application, "img.toolbar.AF") %>", onBtnAFClick,
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAF")) %>',
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAF")) %>', 16,16,3,3,25,3));
</c_rt:if>

<c_rt:if test="<%= hasDMLicense && securityToken.isSecCmdEnabled(IDSecCmd.AF.ACCESSTOMYANALYTICS) %>">
<fmt:message var="ttAFMyDashboard" key="main.menu.AF.mydashboard.tooltip" bundle="${afbundle}"/>
toolbarCtrl.add(newIconWidget("btnAFMyDashboard",
    "<%= context + schema.getUrl(application, "img.toolbar.AF.mydashboard") %>", onBtnAFMyDashboardClick,
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAFMyDashboard")) %>',
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAFMyDashboard")) %>', 16,16,3,3,25,3));
</c_rt:if>

<c_rt:if test="<%= hasDMLicense && securityToken.isSecCmdEnabled(IDSecCmd.AF.NOACCESSTOSETUP) %>">
<fmt:message var="ttAFSetup" key="main.menu.AF.setup.tooltip" bundle="${afbundle}"/>
toolbarCtrl.add(newIconWidget("btnAFSetup",
    "<%= context + schema.getUrl(application, "img.toolbar.AF.setup") %>", onBtnAFSetupClick,
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAFSetup")) %>',
    '<%= Encoder.encodeJS((String)pageContext.findAttribute("ttAFSetup")) %>', 16,16,3,3,25,3));
</c_rt:if>

<c_rt:if test="<%= hasDMLicense && securityToken.isSecCmdEnabled(IDSecCmd.AF.ACCESSAPPFOUNDATION) %>">
// this section is for the corporate dashboard dropdown box
toolbar.add ();	// Separator

// Menu for the corporate dashboard
<fmt:message var="displayCorpDashboard" key="main.menu.AF.corporatedashboard.display" bundle="${afbundle}"/>
<fmt:message var="ttCorpDashboard" key="main.menu.AF.corporatedashboard.tooltip" bundle="${afbundle}"/>
var btnCorporateDash = toolbarCtrl.add (newIconMenuWidget("btnCorporateDash",
	"<%= context + schema.getUrl(application, "img.toolbar.AF.corp_tier_dashb") %>",null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("displayCorpDashboard"))%>',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttCorpDashboard"))%>',16,16,3,3,25,3));

var menuNew = btnCorporateDash.getMenu();    

var iContext = '<%= context%>';
<%
    boolean forceRetransform = false;
    if( request.getParameter("forceRetransform") != null && request.getParameter("forceRetransform").equals("true"))
        forceRetransform = true;

    try {
        String result = dbServer.getDashboardManager().GetTransformResult(pageContext.getServletContext(), webiSession,
                "menu.xml", "jsp-infoViewMenu.xsl",
                true, true, forceRetransform);
        String encodedResult = CorporateDashboardHelper.encodeDashboardNamesMenu(result);
        out.println(encodedResult);
        //out.println(result);

        //here, get a list of names of dashboards, and store it in user's session.
        //it would be better to store it in application object since corporate dashboards are shared,
        //but it won't work because this list is refreshed diffrently among users.
        //this is something to work on in CB2 or later...

    } catch (AAException e) {
        //no dashboard found.  just ignore.
        out.println("btnCorporateDash.setDisabled(true);");
    }
%>
</c_rt:if>
toolbar.beginRightZone();		
<%-- This jsp include defines addHeaderPlusButtons() and all related functions. --%>
<jsp:include page="/InfoView/headerPlus/buttons.do" />

addHeaderPlusButtons(toolbar);

<c_rt:if test="<%= securityToken.isSecCmdEnabled(IDSecCmd.AF.OPTIONS) %>">
	<fmt:message var="ttPreferences" key='main.menu.preferences.tooltip' bundle="${infoviewbundle}"/>
	toolbarCtrl.add (newIconWidget("btnPrefs",
		"<%= context + schema.getUrl(application, "img.toolbar.preferences") %>",onBtnPrefsClick,null,
		'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttPreferences")) %>',16,16,3,3,25,3));
</c_rt:if>



<fmt:message var="ttLogoff" key='main.menu.logoff.tooltip' bundle="${infoviewbundle}"/>
toolbarCtrl.add (newIconWidget("btnLogoff",
	"<%= context + schema.getUrl(application, "img.toolbar.logout") %>",onBtnLogoffClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttLogoff")) %>',16,16,3,3,25,3));
<fmt:message var="ttHelp" key='main.menu.help.tooltip' bundle="${infoviewbundle}"/>
toolbarCtrl.add (newIconWidget("btnHelp",
	"<%= context + schema.getUrl(application, "img.toolbar.help") %>",onBtnHelpClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttHelp")) %>',16,16,3,3,25,3));


// TOOLBAR: Initialization
function initToolbar()
{
	toolbarContainer.init();
	toolbar.init();
	for (var i = 0; i < toolbarItems.length; i++)
	{
		toolbarItems[i].init();
	}

	applyRights();
}


// TOOLBAR: Handlers
function onBtnHomeClick()
{
	top.location.href = "../InfoView/main/main.do?objId=0";;
}

function onBtnShowCorporateDashboard()
{
	bodyFrame.location = findLocation(this.id);
}

function onBtnAFClick() {
    bodyFrame.location = "appsHome.jsp?iSubMenus=0&ctxt=aa-appdesigner&menu=/conf-syst/menu-appdesigner"
}

function onBtnAFSetupClick() {
    bodyFrame.location = "appsHome.jsp?iSubMenus=0&ctxt=aa-setup&menu=/conf-syst/menu-setup";
}

function onBtnAFMyDashboardClick() {
    top.location = "performanceManagementHome.jsp?iSubMenus=0&ctxt=aa-myanalytics&menu=mymenu";
}

function onBtnPrefsClick()
{
	top.location.href = "../InfoView/main/main.do?af=options";
}

function onBtnLogoffClick()
{
	top.location.href = "../scripts/doLogout.jsp";
}

function onBtnHelpClick()
{
	pop = window.open(findAppsHome().test.getHelpID(), 'Help', 'scrollbars=yes,toolbar=no,location=no,status=yes,resizable=yes,width=760,height=540');
		pop.opener = self;
}

function collapseTopPart(collapse) {
    if (!isNetscape70()) {
        var part = document.getElementById("top");
        if (top) {
            if (collapse) {
                //collapse
                part.style.display = "none";
            } else {
                //open up
                part.style.height = "100%";
                part.style.display = "block";
            }
        }
    }
}


</script>
<link rel='stylesheet' type='text/css' name='stylelink' href='<html:rewrite page='<%=schema.getStyleSheetUrl(application)%>'/>'>
</HEAD>

<BODY topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="#F6F6FB" scroll="no">


<table class="list" style="height: 100%; width: 100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#F6F6FB">
    <tr><td><span style="display:block;" id="top">
<table class="list" style="height: 100%; width: 100%" border="0" cellspacing="0" cellpadding="0">

	<c_rt:if test='<%= (CE_Session.getLogoMode() != IInfoView.CeLogoMode.DEFAULT) %>'>
		<c_rt:choose>
			<c_rt:when test='<%= CE_Session.isHeaderColorUsed() %>'>
				<c_rt:set var='colors' value='<%= "style=\'COLOR: #" + CE_Session.getHeaderTextColor() + "; BACKGROUND-COLOR: #" + CE_Session.getTopHeaderColor() + "\'" %>'/>
				<c_rt:set var='Gcolors' value='<%= "" + CE_Session.getTopHeaderColor() + "" %>'/>
				<c_rt:set var='Fcolors' value='<%= "" + CE_Session.getHeaderTextColor() + "" %>'/>
			</c_rt:when>
			<c_rt:otherwise>
				<c_rt:set var='colors' value='<%= "style=\'COLOR: #" + CE_Session.getHeaderTextColor() + "; BACKGROUND-COLOR: #" + CE_Session.getTopHeaderColor() + "\'" %>'/>
				<c_rt:set var='Gcolors' value='<%= "" + CE_Session.getTopHeaderColor() + "" %>'/>
				<c_rt:set var='Fcolors' value='<%= "" + CE_Session.getHeaderTextColor() + "" %>'/>
			</c_rt:otherwise>
		</c_rt:choose>
	</c_rt:if>

	<c_rt:choose>
		<c_rt:when test='<%= (CE_Session.getLogoMode() == IInfoView.CeLogoMode.CUSTOM) %>'>
			<tr>
					<% 
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block	for Gradient							//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>

				<td class="bannerCustomLeft" colspan="3" <c:out value="style=\'BACKGROUND-COLOR: #ffffff\'" escapeXml="false"/>>

					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block for Gradient							//
					//												//
					//	Original Code										//
					//   <td class="bannerCustomLeft" colspan="3" <c:out value="${colors}" escapeXml="false"/>>	//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>
				
					<img src="<%= context + schema.getUrl(application, "file:*"
                                  + Encoder.encodeHTML(CE_Session.getLogoURL()))%>">
				</td>
					<% 
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block	for Gradient							//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>

				<td class="bannerCustomRight" align="right" <c:out value="style=\'COLOR: #${Fcolors}; filter:progid:DXImageTransform.Microsoft.Gradient(GradientType=1, StartColorStr=#ffffff, EndColorStr=#${Gcolors});\'" escapeXml="false"/>>

					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block for Gradient							//
					//												//
					//	Original Code"										//
					//   <td class="bannerCustomRight" align="right" <c:out value="${colors}" escapeXml="false"/>>	//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>

					<fmt:message key='main.header.welcome'/>&nbsp;
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block	for Full Name							//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End Custom Code Block for Full Name							//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>
				</td>
			</tr>
		</c_rt:when>
		<c_rt:when test='<%= (CE_Session.getLogoMode() == IInfoView.CeLogoMode.NONE) %>'>
			<tr>
				<td class="bannerCustomLeft" colspan="3" <c:out value="${colors}" escapeXml="false"/>>
					&nbsp;
				</td>
				<td class="bannerCustomRight" align="right" <c:out value="${colors}" escapeXml="false"/>>
					<fmt:message key='main.header.welcome'/>&nbsp;
				
						<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block	for Full Name							//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End Custom Code Block for Full Name							//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>
				</td>
			</tr>
		</c_rt:when>
		<c_rt:otherwise>
			<tr>
				<td class="bannerLogo" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.logo") %>');">&nbsp;</td>
				<td class="bannerLeft" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.left") %>');">&nbsp;</td>
				<td class="bannerCenter" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.center") %>');">&nbsp;</td>
				<td class="bannerRight" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.right") %>');">
					<fmt:message key='main.header.welcome'/>&nbsp;
						
						<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block	for Full Name							//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block								//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>
				</td>
			</tr>
		</c_rt:otherwise>
	</c_rt:choose>

	<tr>
		<td colspan="4" class="panelToolbar">
			<script language="javascript">
				 toolbarContainer.begin();
					toolbar.write();
				 toolbarContainer.end();
			</script>
		</td>
	</tr>
    </table>
    </span>
    </td>
    </tr>
	<tr style="height: 100%;">
		<td colspan="4" style="padding:2px">
			<iframe name="bodyFrame" id="bodyFrame" src='<c:out value="${redirectUrl}"/>' height="100%" width="100%" frameborder="0" marginheight="0" marginwidth="0" scrolling="no"></iframe>
		</td>
	</tr>
</table>
<script language="Javascript">
setTimeout("initToolbar()", 1);
findFrame('frame');
</script>
</BODY>
</HTML>
