<!--
	File Version Start - Do not remove this if you are modifying the file
	Build: 10.0.0
	File Version End
	
	File Location: D:\Program Files\Business Objects\Tomcat\webapps\businessobjects\enterprise115\desktoplaunch\InfoView\main\

	(c) Business Objects 2003-2004.  All rights reserved.
-->

<%@ page import="com.businessobjects.sdk.plugin.desktop.infoview.IInfoView,
                 com.crystaldecisions.ePortfolio.framework.common.CEClientConstants,
		 com.crystaldecisions.sdk.occa.infostore.IInfoObject,
		 com.crystaldecisions.sdk.occa.infostore.IInfoObjects,
		 com.crystaldecisions.sdk.occa.infostore.IInfoStore,
		 com.crystaldecisions.sdk.plugin.desktop.user.IUserBase,
		 com.crystaldecisions.ePortfolio.framework.common.PreferenceConstants,
                 com.crystaldecisions.ePortfolio.framework.common.CrystalIdentity,
                 com.crystaldecisions.webapp.CEConstants,
                 com.crystaldecisions.webapp.util.html.Encoder,
                 com.crystaldecisions.ePortfolio.appconfig.IDesktopPluginConfig,
                 com.crystaldecisions.sdk.ceTaglib.plugin.PluginConfigurationWrapper,
                 java.util.Locale,
                 com.crystaldecisions.ePortfolio.framework.common.WebUtils"%>

<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri='/WEB-INF/c.tld' prefix='c' %>
<%@ taglib uri='/WEB-INF/c-rt.tld' prefix='c_rt' %>
<%@ taglib uri='/WEB-INF/fmt.tld' prefix='fmt' %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>

<jsp:useBean id="schema" class="com.crystaldecisions.ePortfolio.framework.common.SchemaBean" scope="session">
  <% schema.setPrefsFromCookie (request); %>
</jsp:useBean>
<jsp:useBean id="CE_Session" type="com.crystaldecisions.ePortfolio.framework.common.CrystalIdentity" scope="session"/>

<jsp:useBean id="userSettings" class="com.crystaldecisions.ePortfolio.framework.common.UserSettings" scope="request">
	<% userSettings.init(request, CE_Session); %>
</jsp:useBean>

<fmt:setLocale value="${userSettings.locale}"/>
<% pageContext.setAttribute("isMozilla", WebUtils.isMozilla(request) ? "true" : "false"); %>
<% pageContext.setAttribute("appName", application.getInitParameter("app.name")); %>
<fmt:bundle basename="com.crystaldecisions.ePortfolio.ApplicationResources">
	<c:if test="${isMozilla}">
		<c:set var="pageTitle" value="${appName}"/>
	</c:if>
	<c:if test="${!isMozilla}">
		<fmt:message var="pageTitle" key="main.menu.page.title">
			<fmt:param value='${appName}'/>
		</fmt:message>
	</c:if>
</fmt:bundle>

<HTML>
<HEAD>
<TITLE><%= pageContext.findAttribute("pageTitle") %></TITLE>

<script language="javascript" src="../dhtmllib/dom.js"></script>
<script language="javascript" src="../dhtmllib/palette.js"></script>
<script language="javascript" src="../dhtmllib/menu.js"></script>
<script language="javascript" src="../utils/utils.js"></script>
<script language="javascript" src="../utils/help.js"></script>
<script language="javascript">
// must be initialized in the header on their own
initDom("../dhtmllib/images/skin_standard/", "<%= WebUtils.getSupportedLanguage(userSettings.getLocale(), WebUtils.LANGUAGES_DHTMLLIB_FORMAT) %>");
styleSheet();
</script>
<script language="javascript">

<c:out value="${applyAppSettings}" escapeXml="false"/>
<c:out value="${applyRights}" escapeXml="false"/>
<c:out value="${setInitialView}" escapeXml="false"/>

// Header global variables - initial view
var showFolders = true;
setInitialView();

// Global variables - app settings
var showPreferences = true;
applyAppSettings();

// Global variables - rights
var createCategoriesAllowed = true;
var createFoldersAllowed = true;

// Global variables - listing
var currentFilterTypeText = null;
var currentFilterType = null;
var listing_issearch = false;
var listing_searchtext = "";
var listing_searchtype = "";
var listing_advancedsearch = "";
var page_number = 0;

// Global variables - action ids
var lastActionId = null;
var savedLastActionId = null;

// Global variables - workspaceheader title
// (used when workspace header frame renders after body)
var savedWorkspaceHeaderTitle = "";
var savedWorkspaceHeaderLink = null;


// Safari requires setter methods to change the values of the global variables
function setShowFolders(bShow) {
	showFolders = bShow;
}
function setPageNumber(pageNum) {
	page_number = pageNum;
}
function resetListingVariables() {
	page_number = 0;
	listing_issearch = false;
	listing_searchtext = "";
	listing_searchtype = "";
	listing_advancedsearch = "";
}

function setLastActionId(lastId) {
	lastActionId = lastId;
}
function setSavedLastActionId(savedId) {
	savedLastActionId = savedId;
}
function setAdvancedSearch(s) {
	listing_advancedsearch = s;
}

function setSavedWorkspaceHeaderTitle (title)
{
	savedWorkspaceHeaderTitle = title;
	savedWorkspaceHeaderLink = null;
}

function setSavedWorkspaceHeaderTitle2 (title, link)
{
	savedWorkspaceHeaderTitle = title;
	savedWorkspaceHeaderLink = link;
}



// initialize help page
var helpObj = initHelpSystem( "<%=request.getContextPath()%>/help/<%= WebUtils.getSupportedLanguage(userSettings.getLocale(), WebUtils.LANGUAGES_HELP_FORMAT) %>" );

// Add a widget to the toolbar and the array of items (used for initialization).
function ToolbarCtrl_add (item)
{
	this.toolbar.add (item);		// Add widget to PaletteWidget
	this.itemsArray.push (item);	// Add widget to my array
	var ndx = this.itemsArray.length - 1;
	this.idMap[this.itemsArray[ndx].id] = ndx;	// Add map entry pointer back to array item.
	return item;
}

// Constructor for ToolbarCtrl, which faciliates creation via add method
function ToolbarCtrl (theToolbar, theItemsArray, theIdMap)
{
	this.toolbar = theToolbar;
	this.itemsArray = theItemsArray;
	this.idMap = theIdMap;
	this.add = ToolbarCtrl_add;
}

// TOOLBAR: Creation
var toolbarContainer = newPaletteContainerWidget("toolbarContainer",null,0);	// Required
var toolbar = newPaletteWidget("toolbar");
toolbarContainer.add (toolbar);
var toolbarItems = new Array();
var toolbarIdMap = new Object();
var toolbarCtrl = new ToolbarCtrl (toolbar, toolbarItems, toolbarIdMap);


<% String context = request.getContextPath(); %>
<fmt:message var="ttHome" key='main.menu.home.tooltip'/>
toolbarCtrl.add (newIconWidget("btnHome",
	"<%= context + schema.getUrl(application, "img.toolbar.home") %>", onBtnHomeClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttHome")) %>', 16,16,3,3,25,3));

<c_rt:choose>
	<c_rt:when test="<%= CEClientConstants.isAFInstalled(application, CE_Session.getSession()) %>">
	    <jsp:include page="/jsp/headerPlusInclude.jsp" flush="true" />
	</c_rt:when>
	<c_rt:otherwise>
		var disableAppBuilderRights = false;
	</c_rt:otherwise>
</c_rt:choose>

<fmt:message var="ttToggleNav" key='main.menu.toggle.nav.tooltip'/>
var btnNav = newIconRadioWidget("btnNav",
	"<%= context + schema.getUrl(application, "img.toolbar.treeToggle") %>",onBtnNavClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttToggleNav")) %>',"dummyGroup",16,16,3,3,25,3);
toolbarCtrl.add(btnNav);

<c_rt:if test="<%=CE_Session.getAllowThirdToolbar(application)%>">
<fmt:message var="ttToggleRightFrame" key='main.menu.toggle.rightframe.tooltip'/>
var btnRightFrame = newIconMenuWidget("btnRightFrame",
	"<%= context + schema.getUrl(application, "img.toolbar.panelToggle") %>",null,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttToggleRightFrame")) %>',16,16,3,3,25,3);
toolbarCtrl.add (btnRightFrame);
var menuApps = btnRightFrame.getMenu();
<fmt:message var="labelHideAppFrame" key='main.menu.hide.app.frame'/>
var none = menuApps.addCheck('NOTHING',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("labelHideAppFrame")) %>',
	onMenuAppsSelect,
	null);
none.check(true);
<c:forEach var="appsframeItem" items="${appsframelist}">
	<fmt:setBundle var="pluginBundle" basename="${appsframeItem.resource}"/>
    <fmt:message var="menuLabel" key="${appsframeItem.descriptionID}" bundle="${pluginBundle}"/>
    <c:set var="iconkey" value="${appsframeItem.icon}"/>
    menuApps.addCheck('<%= context %><c:out value="${appsframeItem.path}" escapeXml="false"/>',
                '<%= Encoder.encodeJS((String)pageContext.findAttribute("menuLabel")) %>',
                onMenuAppsSelect,
                '<%=context + schema.getUrl(application, (String)pageContext.findAttribute("iconkey") )%>' );
</c:forEach>
</c_rt:if>


toolbar.add ();	// Separator

// "New" Menu
<fmt:message var="lblNew" key='main.menu.new'/>
<fmt:message var="ttNew" key='main.menu.new.tooltip'/>
var btnNew = toolbarCtrl.add (newIconMenuWidget("btnNew",
	"<%= context + schema.getUrl(application, "img.toolbar.new") %>",null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblNew")) %>',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttNew")) %>',16,16,3,3,25,3));

var menuNew = btnNew.getMenu();
<c:forEach var="createitem" items="${createlist}">
    <fmt:setBundle var="pluginBundle" basename="${createitem.resource}"/>
    <fmt:message var="menuLabel" key="${createitem.descriptionID}" bundle="${pluginBundle}"/>
    <c:set var="iconkey" value="${createitem.icon}"/>
    menuNew.add('<c:out value="${createitem.path}" escapeXml="false"/>',
                '<%= Encoder.encodeJS((String)pageContext.findAttribute("menuLabel")) %>',
                onMenuNewSelect,
                '<%=context + schema.getUrl(application, (String)pageContext.findAttribute("iconkey") )%>' );
</c:forEach>
var newMenuProgIdMap = new Array();
<c:forEach var="item" items="${createmap}">
	newMenuProgIdMap['<c:out value="${item.key}"/>'] = new Array(<c:out value="${item.value}" escapeXml="false"/>);
</c:forEach>
var popupMap = new Array();
<c:forEach var="item" items="${popupmap}">
	popupMap['<c:out value="${item.key}"/>'] = '<c:out value="${item.value}"/>';
</c:forEach>

<fmt:message var="lblNewLocalDocument" key='main.menu.new.localdocument'/>
var uploaditem = menuNew.add("newLocalDocument",
                    '<%= Encoder.encodeJS((String)pageContext.findAttribute("lblNewLocalDocument")) %>', null,
                    '<%=context + schema.getUrl(application, "img.menu.upload")%>');

var subMenu = new newMenuWidget("uploadSub", null, null);
<c:forEach var="uploaditem" items="${uploadlist}">
    <fmt:setBundle var="pluginBundle" basename="${uploaditem.resource}"/>
    <fmt:message var="uploadLabel" key="${uploaditem.descriptionID}" bundle="${pluginBundle}"/>
    <c:set var="iconkey" value="${uploaditem.icon}"/>
    subMenu.add( '<c:out value="${uploaditem.path}" escapeXml="false"/>',
                '<%= Encoder.encodeJS((String)pageContext.findAttribute("uploadLabel")) %>',
                onUploadSelect,
                '<%=context + schema.getUrl(application, (String)pageContext.findAttribute("iconkey") )%>' );
</c:forEach>
var newUploadMenuProgIdMap = new Array();
<c:forEach var="item" items="${uploadmap}">
	newUploadMenuProgIdMap['<c:out value="${item.key}"/>'] = new Array(<c:out value="${item.value}" escapeXml="false"/>);
</c:forEach>

uploaditem.attachSubMenu(subMenu);

menuNew.addSeparator();
<fmt:message var="lblNewCategory" key='main.menu.new.category'/>
menuNew.add("newCategory",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblNewCategory")) %>',onNewCategorySelect,
	'<%= context + schema.getUrl(application, "img.toolbar.categories")%>',3,3,false,25,3);
<fmt:message var="lblNewFolder" key='main.menu.new.folder'/>
menuNew.add("newFolder",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblNewFolder")) %>',onNewFolderSelect,
	'<%= context + schema.getUrl(application, "img.toolbar.folder")%>',3,3,false,25,3);
var menuNewIdMap = createIdMap (menuNew.items);
var menuUploadIdMap = createIdMap (subMenu.items);

<fmt:message var="ttRefresh" key='main.menu.refresh.tooltip'/>
toolbarCtrl.add (newIconWidget("btnRefresh",
	"<%= context + schema.getUrl(application, "img.toolbar.refresh") %>", onBtnRefreshClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttRefresh")) %>', 16,16,3,3,25,3));

// "Send" Menu
<fmt:message var="lblSend" key='main.menu.send'/>
<fmt:message var="ttSend" key='main.menu.send.tooltip'/>
var btnSend = toolbarCtrl.add (newIconMenuWidget("btnSend",
	"<%= context + schema.getUrl(application, "img.toolbar.send") %>", null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblSend")) %>',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttSend")) %>',16,16,3,3,25,3));
var menuSend = btnSend.getMenu();
<fmt:message var="lblSendToInbox" key='main.menu.send.inbox'/>
menuSend.add("sendToInbox",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblSendToInbox")) %>', onMenuSendInbox);
<fmt:message var="lblSendToEmail" key='main.menu.send.email'/>
menuSend.add("sendToEmail",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblSendToEmail")) %>', onMenuSendEmail);
<fmt:message var="lblSendToFTP" key='main.menu.send.ftp'/>
menuSend.add("sendToFTP",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblSendToFTP")) %>', onMenuSendFtp);
<fmt:message var="lblSendToDisk" key='main.menu.send.disk'/>
menuSend.add("sendToDisk",
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblSendToDisk")) %>', onMenuSendDisk);
var menuSendIdMap = createIdMap (menuSend.items);

<fmt:message var="lblMyInfoView" key='main.menu.myinfoview'/>
<fmt:message var="ttMyInfoView" key='main.menu.myinfoview.tooltip'/>
var myInfoViewIcon = newIconWidget("btnMyInfoView",
	"<%= context + schema.getUrl(application, "img.toolbar.myinfoview") %>", onBtnMyInfoViewClick,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("lblMyInfoView")) %>',
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttMyInfoView")) %>', 16,16,3,3,25,3);
myInfoViewIcon.setDisabled(<c:out value="${disableMyInfoView}"/>);
toolbarCtrl.add(myInfoViewIcon);

var lblSpacer = NewLabelWidget("lblSpacer", " ");
toolbar.add(lblSpacer);
toolbar.add ();	// Separator
toolbar.add(lblSpacer);

// "SearchArea" Menu
<fmt:message var="searchAll" key='listing.header.search.all'/>
<fmt:message var="searchTitle" key='listing.header.search.title'/>
<fmt:message var="searchKeyword" key='listing.header.search.keyword'/>
<fmt:message var="searchAdvanced" key='listing.header.advancedsearch.button'/>
<fmt:message var="search" key='listing.header.search'/>
<fmt:message var="searchOptions" key='listing.header.search.options'/>

var searchAllString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("searchAll")) %>';
var searchTitleString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("searchTitle")) %>';
var searchKeywordString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("searchKeyword")) %>';
var searchAdvancedString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("searchAdvanced")) %>';
var searchWordString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("search")) %>';
var searchOptionsString = '<%= Encoder.encodeJS((String)pageContext.findAttribute("searchOptions")) %>';

var btnSearchArea = toolbarCtrl.add (newIconMenuWidget("btnSearchArea", null, null, searchWordString, searchOptionsString, 0, 16));
var searchAreaMenu = btnSearchArea.getMenu();
searchAreaMenu.addCheck ("searchAll", searchAllString, onMenuSearchAreaSelect);
searchAreaMenu.addCheck ("searchTitle", searchTitleString, onMenuSearchAreaSelect);
searchAreaMenu.addCheck ("searchKeyword", searchKeywordString, onMenuSearchAreaSelect);
searchAreaMenu.addSeparator();
searchAreaMenu.add ("searchAdvanced", searchAdvancedString, onMenuSearchAreaSelect);
var searchAreaMenuIdMap = createIdMap(searchAreaMenu.items);
searchAreaMenu.getItem(searchAreaMenuIdMap["searchTitle"]).check(true);
btnSearchArea.changeText(searchTitleString);

toolbar.add(lblSpacer);
<fmt:message var="ttSearch" key='main.menu.search.tooltip'/>
var inputSearch = toolbarCtrl.add (newTextFieldWidget("inputSearch", null ,null ,null,onBtnSearchClick,true,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttSearch")) %>', 200,null, null));
toolbar.add(lblSpacer);

<fmt:message var="ttSearchGo" key='main.menu.search.go.tooltip'/>
toolbarCtrl.add (newIconWidget("btnSearch",
	"<%= context + schema.getUrl(application, "img.toolbar.searchArrow") %>", onBtnSearchClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttSearchGo")) %>', 16,16,3,3,25,3));

toolbar.beginRightZone();
<%-- This jsp include defines addHeaderPlusButtons() and all related functions. --%>
<jsp:include page="/InfoView/headerPlus/buttons.do" />
addHeaderPlusButtons(toolbar);

if (showPreferences)
{
	<fmt:message var="ttPreferences" key='main.menu.preferences.tooltip'/>
	toolbarCtrl.add (newIconWidget("btnPrefs",
		"<%= context + schema.getUrl(application, "img.toolbar.preferences") %>",onBtnPrefsClick,null,
		'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttPreferences")) %>',16,16,3,3,25,3));
}
<fmt:message var="ttLogoff" key='main.menu.logoff.tooltip'/>
toolbarCtrl.add (newIconWidget("btnLogoff",
	"<%= context + schema.getUrl(application, "img.toolbar.logout") %>",onBtnLogoffClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttLogoff")) %>',16,16,3,3,25,3));
<fmt:message var="ttHelp" key='main.menu.help.tooltip'/>
toolbarCtrl.add (newIconWidget("btnHelp",
	"<%= context + schema.getUrl(application, "img.toolbar.help") %>",onBtnHelpClick,null,
	'<%= Encoder.encodeJS((String)pageContext.findAttribute("ttHelp")) %>',16,16,3,3,25,3));


// TOOLBAR: Initialization
function initToolbar()
{
	toolbarContainer.init();
	toolbar.init();
	for (var i = 0; i < toolbarItems.length; i++)
	{
		toolbarItems[i].init();
	}

	applyRights();
	onToggleFoldersCategories(showFolders);
	btnNav.check(true, false);
}


// TOOLBAR: Handlers
function onBtnHomeClick()
{
	showInWorkspace("<%= WebUtils.getHomePageUrl(context, application) %>");
}

function onBtnNavClick()
{
	toggleNav();
}

function btnToggleRightFrame()
{
	toggleRightFrame();
}

<c:set var="viewInPortal" value="false"/>
<c_rt:if test='<%=schema.getPref(PreferenceConstants.VIEW_MODE, PreferenceConstants.VIEW_MODE_DEFAULT).equals(PreferenceConstants.VIEW_MODE_PORTAL)%>'>
	<c:set var="viewInPortal" value="true"/>
</c_rt:if>

var viewInPortal = <c:out value="${viewInPortal}"/>;

function onMenuNewSelect()
{
	if (BROWSER_GECKO && this.id.indexOf('CrystalEnterprise_MyInfoView') != -1)
	{
		window.open('<%= context %>' + this.id, "iv", "<%= request.getAttribute("dashboardWindowProps") %>");
		return;
	}
	if ((!viewInPortal || isNetscape70()) && popupMap[this.id])
		window.open('<%= context %>' + this.id, "iv", ieFixWindowProps(popupMap[this.id]));
	else showInWorkspace('<%= context %>' + this.id);
}

function onMenuAppsSelect()
{
	var temp = btnRightFrame.getMenu();
	var i = 0;
	while (temp.getItem(i) != null) {
		temp.getItem(i).check(false);
		i++;
	}
	this.check(true);

	if (this.id == 'NOTHING') {
		toggleRightFrame(false);
	}
	else {
		var navWork = getNavWorkController();
		if (this.id != navWork.rightFrameURL) {
			navWork.setRightFrameUrl(this.id);
			navWork.setRightFrameUrlChanged(true);
		}
		toggleRightFrame(true);
	}
}

function onUploadSelect()
{
	showInWorkspace('<%= context %>' + this.id);
}

var inboxFolderId = '<%= CE_Session.getInboxFolderId() %>';
function onNewFolderSelect()
{
	var navWork = getNavWorkController();
	if (navWork.selectedFolder == -1) {
		<fmt:message var="noneSelected" key='main.nav.folders.none.selected'/>
		var alertMsg = "<%= Encoder.encodeJS((String)pageContext.findAttribute("noneSelected")) %>";
		alert(alertMsg);
		return;
	} else if (navWork.selectedFolder == inboxFolderId) {
		<fmt:message var="inboxSelected" key='organize.error.newfolder.noinbox'/>
		var alertMsg = "<%= Encoder.encodeJS((String)pageContext.findAttribute("inboxSelected")) %>";
		alert(alertMsg);
		return;
	}
	showInWorkspace("../organize/newFolderOrCategory.do?destinationId=" + navWork.selectedFolder +
													   "&organizeCategories=false");
}

function onNewCategorySelect()
{
	var navWork = getNavWorkController();
	// TODO: handle multiple categories
	if (navWork.selectedCategories == -1)
	{
		<fmt:message var="noneSelected" key='main.nav.categories.none.selected'/>
		var alertMsg = "<%= Encoder.encodeJS((String)pageContext.findAttribute("noneSelected")) %>";
		alert(alertMsg);
		return;
	}
	showInWorkspace("../organize/newFolderOrCategory.do?destinationId=" + navWork.selectedCategories +
												       "&organizeCategories=true");
}

function onBtnRefreshClick()
{
	var wkspaceFrame = getWorkspaceController();
	if (wkspaceFrame)
		wkspaceFrame.document.location.reload();
	else
		window.document.location.reload();
}

function onMenuSendInbox()
{
	doSendTo("inbox");
}
function onMenuSendEmail()
{
	doSendTo("email");
}
function onMenuSendFtp()
{
	doSendTo("ftp");
}
function onMenuSendDisk()
{
	doSendTo("disk");
}
function doSendTo(dest)
{
	var objectListBodyFrame = findFrame("objectListBodyFrame");
	var workspaceBodyFrame = findFrame("workspaceBodyFrame");
	var form = null;
	var item = null;
	var hasSelected = false;
	if (objectListBodyFrame) {
		try {
			form = objectListBodyFrame.document.reportListForm;
			hasSelected = workspaceBodyFrame.isSelectedObjects(form);
			form.target = "_parent";
			item = form.objId.value;
		} catch (e) {}
	}
	else {
		var wkspaceFrame = getWorkspaceController();
		if (wkspaceFrame && wkspaceFrame.document && wkspaceFrame.document.forms[0]
			&& wkspaceFrame.document.forms[0].historyAction) {
			form = wkspaceFrame.document.forms[0];
			if (form.historyAction) {
				var objIds = form.objIds;
				if (objIds && objIds.length)
					for (var i = 0; i < objIds.length; i++) {
						if (objIds[i].checked) {
							hasSelected = true;
							break;
						}
					}
				else
					hasSelected = objIds.checked;
				item = form.objId.value;
			}
		}
		else {
			var objIds = getLastActionId();
			if (objIds) {
				showInWorkspace("<%= context %>/InfoView/sendto/sendto.do" +
					"?destination=" + dest + "&parentId=" + item + "&objIds=" + objIds);
				return;
			}
		}
	}
	if (!hasSelected) {
		<fmt:message var="selectItems" key="organize.error.selectItems"/>
		alert('<%= Encoder.encodeJS((String)pageContext.findAttribute("selectItems")) %>');
	}
	else {
		form.action = "<%= context %>/InfoView/sendto/sendto.do" +
							  "?destination=" + dest +
							  "&parentId=" + item;
		form.submit();
	}
}
function onBtnMyInfoViewClick()
{
	if (BROWSER_GECKO) {
		window.open("../listing/myDashboard.do", "miv", "<%= request.getAttribute("dashboardWindowProps") %>");
	}
    else showInWorkspace("../listing/myDashboard.do");
}

var _lastSearchArea = "searchTitle";
var _advSearch = "searchAdvanced";
function onMenuSearchAreaSelect()
{
	var newSearchArea = this.id;
	if (newSearchArea != _lastSearchArea) {
		if (newSearchArea == _advSearch) {
			showInWorkspace("../listing/search.do");
		} else {
			_lastSearchArea = newSearchArea;
			btnSearchArea.changeText(this.text);
			// uncheck other search areas
			for (saItem in searchAreaMenuIdMap) {
				if (saItem != newSearchArea)
					searchAreaMenu.getItem(searchAreaMenuIdMap[saItem]).check(false);
			}
		}
	} else {
		searchAreaMenu.getItem(searchAreaMenuIdMap[_lastSearchArea]).check(true);
	}
}

var C_SEARCH_ALL = "all";
var C_SEARCH_TITLE = "name";
var C_SEARCH_KEYWORD = "keyword";
var C_SEARCH_ADV = "advanced";
var searchAreaValueMap = new Object();
searchAreaValueMap["searchAll"] = C_SEARCH_ALL;
searchAreaValueMap["searchTitle"] = C_SEARCH_TITLE;
searchAreaValueMap["searchKeyword"] = C_SEARCH_KEYWORD;

function onBtnSearchClick()
{
	if (inputSearch.getValue() == "") {
		<fmt:message var="jsstr" key='listing.header.search.text.validate'/>
		var alertMsg = "<%= Encoder.encodeJS((String)pageContext.findAttribute("jsstr")) %>";
		alert(alertMsg);
	} else {
		page_number = 0;
		listing_issearch = true;
		listing_searchtext = inputSearch.getValue();
		listing_searchtype = searchAreaValueMap[_lastSearchArea];
	    showInWorkspace("../main/objectList.do?objId=-1");
	}
}

function onBtnPrefsClick()
{
	showInWorkspace("../preference/tabs.do?tab=general");
}

function onBtnLogoffClick()
{
<c_rt:choose>
	<c_rt:when test="<%= CEClientConstants.isAFInstalled(application, CE_Session.getSession()) %>">
	    parent.document.location.href = "../../scripts/doLogout.jsp";
	</c_rt:when>
	<c_rt:otherwise>
        parent.document.location.href = "../logon/logoff.do";
	</c_rt:otherwise>
</c_rt:choose>
}

function onBtnHelpClick()
{
	var workspaceBodyFrame = getWorkspaceController();

    if( null != workspaceBodyFrame.subHelpObj )
        launchHelpWindow( helpObj, workspaceBodyFrame.subHelpObj );
    else
        chooseHelpWindow( helpObj, '<%= context %>/InfoView/listing/help.do' );
}

// CALLBACKS
function onToggleFoldersCategories(displayFolders)
{
	if (displayFolders)
	{
		menuNew.getItem(menuNewIdMap["newCategory"]).setDisabled (true);
		if (createFoldersAllowed)
			menuNew.getItem(menuNewIdMap["newFolder"]).setDisabled (false);
	}
	else
	{
		menuNew.getItem(menuNewIdMap["newFolder"]).setDisabled (true);
		if (createCategoriesAllowed)
			menuNew.getItem(menuNewIdMap["newCategory"]).setDisabled (false);
	}
}

// for certain plugins, we want to only allow sending to inbox
function onToggleSendOptions(options)
{
	//alert("im here, currently the switch is  " + options);
	var bShowInbox = options & 8;  // take the first option (1000)
	var bShowEmail = options & 4;  // take the second option (100)
	var bShowFTP = options & 2;    // take the third option   (10)
	var bShowDisk = options & 1;   // take the fourth option   (1)

	//disableSomeSend options

	menuSend.getItem(menuSendIdMap["sendToInbox"]).setDisabled(!bShowInbox);
	menuSend.getItem(menuSendIdMap["sendToEmail"]).setDisabled(!bShowEmail);
	menuSend.getItem(menuSendIdMap["sendToFTP"]).setDisabled(!bShowFTP);
	menuSend.getItem(menuSendIdMap["sendToDisk"]).setDisabled(!bShowDisk);
}

// disables menu item(s) in the new menu
function disableNewMenuItem(progID)
{
	var pathArray = newMenuProgIdMap[progID];
	if ((pathArray != undefined) && (pathArray.length != undefined)) {
		for (i = 0; i < pathArray.length; i++) {
			var itemId = pathArray[i];
			menuNew.getItem(menuNewIdMap[itemId]).setDisabled(true);
		}
	}
}
// disables menu item(s) in the upload menu
function disableUploadMenuItem(progID)
{
	var pathArray = newUploadMenuProgIdMap[progID];
	if ((pathArray != undefined) && (pathArray.length != undefined)) {
		for (i = 0; i < pathArray.length; i++) {
			var itemId = pathArray[i];
			subMenu.getItem(menuUploadIdMap[itemId]).setDisabled(true);
		}
	}
}

//Simply a hack to remind the iframe to resize itself on Netscape 7.0
function OnResize(){
  document.getElementById("dataWrapperFrame").width = "100%";
}

function collapseTopPart(collapse) {
    if (!isNetscape70()) {
        var part = document.getElementById("top");
        if (top) {
            if (collapse) {
                //collapse
                part.style.display = "none";
            } else {
                //open up
                part.style.height = "100%";
                part.style.display = "block";
            }
        }
    }
}

// check the rights
if( disableAppBuilderRights != null &&
    disableAppBuilderRights == true &&
    menuNew != null &&
    newMenuProgIdMap["CrystalEnterprise.AFDashboardPage"] != null &&
    menuNewIdMap[newMenuProgIdMap["CrystalEnterprise.AFDashboardPage"]] != null )
    menuNew.getItem(menuNewIdMap[newMenuProgIdMap["CrystalEnterprise.AFDashboardPage"]]).setDisabled(true);

var thisIsTheIVTopFrame = BROWSER_GECKO ? 'wishYouAreHere' : '';
var CLOSE_DOCUMENT_FILE = '../../viewers/cdz_adv/processClose.jsp'

// the callback called from the unload callback in the viewer
function viewerUnload(strEntry)
{
	var f = document.getElementById("hiddenFrame");
	if (!isSafari() && f)
		f = f.contentWindow;
	if (f) {	// use a hidden	frame defined here
		f.location.replace(CLOSE_DOCUMENT_FILE + "?sEntry=" + strEntry)
	}
}

</script>
<link rel='stylesheet' type='text/css' name='stylelink' href='<html:rewrite page='<%=schema.getStyleSheetUrl(application)%>'/>'>
</HEAD>
<%
	String afViewMode = request.getParameter("afViewMode");
	String topView = "display:block;";
	if (!WebUtils.isNetscape70(request) && afViewMode != null && afViewMode.equals(PreferenceConstants.AF_INITVIEW_MODE_FULL))
		topView = "display:none;";
%>
<BODY onresize="OnResize()" style="MARGIN:0px" scroll="no" >
<script language="javascript">menuNew.write()</script>
<table class="list" style="height: 100%; width: 100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#F6F6FB">
    <tr><td><span style="<%=topView%>" id="top">
    <table class="list" style="height: 100%; width: 100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#F6F6FB">
	<c_rt:if test='<%= (CE_Session.getLogoMode() != IInfoView.CeLogoMode.DEFAULT) %>'>
		<c_rt:choose>
			<c_rt:when test='<%= CE_Session.isHeaderColorUsed() %>'>
				<c_rt:set var='colors' value='<%= "style=\'COLOR: #" + CE_Session.getHeaderTextColor() + "; BACKGROUND-COLOR: #" + CE_Session.getTopHeaderColor() + "\'" %>'/>
				<c_rt:set var='Gcolors' value='<%= "" + CE_Session.getTopHeaderColor() + "" %>'/>
				<c_rt:set var='Fcolors' value='<%= "" + CE_Session.getHeaderTextColor() + "" %>'/>
			</c_rt:when>
			<c_rt:otherwise>
				<c_rt:set var='colors' value="<%= "null" %>" />
				<c_rt:set var='Gcolors' value='<%= "" + CE_Session.getTopHeaderColor() + "" %>'/>
				<c_rt:set var='Fcolors' value='<%= "" + CE_Session.getHeaderTextColor() + "" %>'/>
			</c_rt:otherwise>
		</c_rt:choose>
	</c_rt:if>

	<c_rt:choose>
		<c_rt:when test='<%= (CE_Session.getLogoMode() == IInfoView.CeLogoMode.CUSTOM) %>'>
			<tr>	
				<%  
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Customization: Additional code was added to improve the personalization of Infoview.    //
					//	Instead of simply displaying a solid color in the header of Infoview, the code applies	//
					//	a gradient from white to the color specified in CMC custom header color.  This is 	//
					//	really only useful for logos with white backgrounds.					//
					//												//		
					//		                                                                                //
					//	  	                                                                                //
					//				                                                                //
					//												//
					//										                //
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

				%>

				<td class="bannerCustomLeft" title="<%= application.getInitParameter("app.name") %>" colspan="3" <c:out value="style=\'BACKGROUND-COLOR: #ffffff\'" escapeXml="false"/>>
					<img src="<%= context + schema.getUrl(application, "file:*"
                                  + Encoder.encodeHTML(CE_Session.getLogoURL()))%>">
				</td>
				<td class="bannerCustomRight" align="right" <c:out value="style=\'COLOR: #${Fcolors}; filter:progid:DXImageTransform.Microsoft.Gradient(GradientType=1, StartColorStr=#ffffff, EndColorStr=#${Gcolors});\'" escapeXml="false"/>>
				
				<% 														
					//////////////////////////////////////////////////////////////////////////////////////////////////	
					//												//		
					//	End of Custom Code Block								//	
					//												//	
					//////////////////////////////////////////////////////////////////////////////////////////////////				
				%>														
				


					<fmt:message key='main.header.welcome'/>&nbsp;
						
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Customization: Additional code was added to improve the personalization of Infoview.    //
					//	Instead of simply displaying "Welcome: <username>" in the upper right hand corner of   	//
					//	the screen it will now show the Full Name of a user if one exists.  If it does not 	//
					//	exist then it will continue to use the username.  The code below is simply copied and   //
					//	pasted into the other two sections for the other switches of the when test blocks.	//
					//												//		
					//		                                                                                //
					//	  	                                                                                //
					//					                                                        //
					//												//
					//									                        //
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block									//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block								//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>
				</td>
			</tr>
		</c_rt:when>
		<c_rt:when test='<%= (CE_Session.getLogoMode() == IInfoView.CeLogoMode.NONE) %>'>
			<tr>
				<td class="bannerCustomLeft" colspan="3" <c:out value="${colors}" escapeXml="false"/>>
					&nbsp;
				</td>
				<td class="bannerCustomRight" align="right" <c:out value="${colors}" escapeXml="false"/>>
					<fmt:message key='main.header.welcome'/>&nbsp;
						<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block									//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block								//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>				
				</td>
			</tr>
		</c_rt:when>
		<c_rt:otherwise>
			<tr>
				<td title="<%= application.getInitParameter("app.name") %>" class="bannerLogo" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.logo") %>');">&nbsp;</td>
				<td class="bannerLeft" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.left") %>');">&nbsp;</td>
				<td class="bannerCenter" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.center") %>');">&nbsp;</td>
				<td class="bannerRight" style="background-image: url('<%= context + schema.getUrl(application, "img.banner.right") %>');">
					<fmt:message key='main.header.welcome'/>&nbsp;
						<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	Begin Custom Code Block									//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////

					   String fullName = ((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getUserInfo().getUserName();
					   IInfoStore _infoStore = (IInfoStore)((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).getSession().getService("InfoStore");
					   StringBuffer user_query  = new StringBuffer("SELECT SI_USERFULLNAME FROM CI_SYSTEMOBJECTS WHERE SI_PROGID='CrystalEnterprise.USER' AND SI_NAME = '" + fullName + "'");
					   IInfoObjects xiInfoObjects = _infoStore.query(user_query.toString());
					   
  					   for (int g=0;g<xiInfoObjects.getResultSize();g++)
					   {
					    IInfoObject xiInfoObject = (IInfoObject) xiInfoObjects.get(g);
					    String userFullName = ((IUserBase) xiInfoObject).getFullName();
					    if (userFullName.length()>0)
						fullName = userFullName;
					   }				
					%>
					<%=fullName%>
				
					<%
					//////////////////////////////////////////////////////////////////////////////////////////////////
					//												//
					//	End of Custom Code Block								//
					//												//
					//	Original Code										//
					//	((CrystalIdentity)request.getSession().getAttribute(CEConstants.SESSION_EN_SESSION)).	//
					//		getSession().getUserInfo().getUserName();					//
					//												//
					//////////////////////////////////////////////////////////////////////////////////////////////////
					%>				
				</td>
			</tr>
		</c_rt:otherwise>
	</c_rt:choose>

	<tr>
		<td colspan="4" class="panelToolbar">
			<script language="javascript">
				 toolbarContainer.begin();
					toolbar.write();
				 toolbarContainer.end();
				 initToolbar();
			</script>
		</td>
	</tr>
    </table>
    </span>
    </td>
    </tr>
	<tr style="height: 100%;">
		<td colspan="4" style="padding:2px">
			<iframe name="dataWrapperFrame" id="dataWrapperFrame" src="dataWrapper.do<%= "?" + WebUtils.filterName(request.getQueryString()) %>" height="100%" width="100%" frameborder="0" marginheight="0" marginwidth="0"></iframe>
			<iframe name="hiddenFrame" id="hiddenFrame" src="../../viewers/cdz_adv/html/empty.html" frameborder="0" width="0" height="0" style="position:absolute;left:-100px;top:-100px;width:10px;height:10px;" ></iframe>
		</td>
	</tr>
</table>

</BODY>
</HTML>
